<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="69" infoRejectCounter="0">
  <summary>
    <timer wall="0" cpu="0.250818" calls="1"/>
    <memory final="148500" peak="148500"/>
  </summary>
  <header id="">
    <environment started="2017-Jan-31 10:33:07" host="eamc061"/>
    <progOpts problem="scale_constraint" parameterFile="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/scale_constraint/scale_constraint.xml" schemaPath="/home/fwein/code/cfs/share/xml" meshFile="" logConfFile="" detailed="no" MKL_NUM_THREADS="1" OMP_NUM_THREADS="1">
      <cfs version="16.10" name="Back To The Future" build="Release" svn_revision="15364 modified" svn_branch="Fabian_Wein_TopOpt_0415" exe="cfs_rel"/>
    </progOpts>
    <domain dimensions="2" elements="260" nodes="294" nx="20" ny="13" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="294" elems="260" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="21"/>
        <nodes name="north" count="21"/>
        <nodes name="west" count="14"/>
        <nodes name="east" count="14"/>
        <nodes name="left_lower" count="1" coord="(0,0)"/>
        <nodes name="right_lower" count="1" coord="(3,0)"/>
        <nodes name="left_upper" count="1" coord="(0,2)"/>
        <nodes name="right_upper" count="1" coord="(3,2)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="20" ny="13" nz="1" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right_lower" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Alpha" value="0.05"/>
          <property name="Rayleigh_Beta" value="0.002"/>
          <property name="Rayleigh_Frequency" value="1000"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="560" totalNumFreeEqns="560" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="560" lastFreeEqn="560" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="560" lastFreeIndex="560"/>
          </sbmBlocks>
          <graph>
            <timer label="graph" wall="0" cpu="0.001863" calls="1" sub="true"/>
          </graph>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="560" totalNumCols="560" totalNumNonZeros="9280" totalFillLevelPerCent="2.9592" totalMemory="0.070801">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="560" numCols="560" numNonZeros="9280" fillLevelPerCent="2.9592" memory="0.070801" upperBandWidth="541" lowerBandWidth="541" avgBandWidth="202" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall="0" cpu="0.01418" calls="21"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall="0" cpu="0.003369" calls="21"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond/>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="0" cpu="0.03049" calls="42"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/scale_constraint/HALTOPT">
    <header>
      <objective type="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" linear="no" filtered="yes" name="volume" bound_value="2.5" bound="upperBound" design="default" scaling="5"/>
      </constraints>
      <designSpace pamping="0">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall="0" cpu="0.00234" calls="42" sub="true"/>
        </gradient_chain_rule>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables optimizationVariables="260" modelVariables="260" modelElements="260">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <regions>
          <region name="mech" elements="260" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="1.5" contribution="linear" design="allDesigns" avg_radius="0.23077" avg_neighbors="7.2538">
          <timer wall="0" cpu="0.00023" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <scpip>
        <icntl i1="1" i2="1" i3="20" i4="1" i5="10" i6="0" i7="0" i8="0" i9="0" i10="0" i11="0" i12="0" i13="1"/>
        <rcntl r1="1e-07" r2="1e+30" r3="1e+30" r4="0.01" r5="0.01" r6="0.01" r7="0"/>
      </scpip>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <timer wall="0" cpu="0.064901" calls="190"/>
      </summary>
    </optimizer>
    <eval_objective>
      <timer wall="0" cpu="0.120867" calls="84"/>
    </eval_objective>
    <eval_constraints>
      <timer wall="0" cpu="0.000174" calls="21"/>
    </eval_constraints>
    <eval_grad_objective>
      <timer wall="0" cpu="0.003376" calls="21"/>
    </eval_grad_objective>
    <process>
      <iteration number="0" duration="0" compliance="171.75" volume="0.5"/>
      <iteration number="1" duration="0" compliance="125.02" volume="0.47167"/>
      <iteration number="2" duration="0" compliance="92.428" volume="0.48715"/>
      <iteration number="3" duration="0" compliance="77.411" volume="0.49196"/>
      <iteration number="4" duration="0" compliance="69.808" volume="0.49535"/>
      <iteration number="5" duration="0" compliance="65.121" volume="0.49681"/>
      <iteration number="6" duration="0" compliance="61.946" volume="0.4978"/>
      <iteration number="7" duration="0" compliance="59.298" volume="0.49751"/>
      <iteration number="8" duration="0" compliance="56.509" volume="0.49719"/>
      <iteration number="9" duration="0" compliance="54" volume="0.49751"/>
      <iteration number="10" duration="0" compliance="51.79" volume="0.49743"/>
      <iteration number="11" duration="0" compliance="50.067" volume="0.49804"/>
      <iteration number="12" duration="0" compliance="48.807" volume="0.49848"/>
      <iteration number="13" duration="0" compliance="47.605" volume="0.49827"/>
      <iteration number="14" duration="0" compliance="46.525" volume="0.49837"/>
      <iteration number="15" duration="0" compliance="45.627" volume="0.4986"/>
      <iteration number="16" duration="0" compliance="44.722" volume="0.49843"/>
      <iteration number="17" duration="0" compliance="43.878" volume="0.49881"/>
      <iteration number="18" duration="0" compliance="43.37" volume="0.49917"/>
      <iteration number="19" duration="0" compliance="43.06" volume="0.49964"/>
      <iteration number="20" duration="0" compliance="42.926" volume="0.4998"/>
    </process>
    <eval_grad_constraints>
      <timer wall="0" cpu="0.000868" calls="21"/>
    </eval_grad_constraints>
    <summary problem="maximum number of iterations reached (20)">
      <break converged="no">
        <reason msg="SCPIP: maximum number of iterations reached (20)"/>
      </break>
    </summary>
  </optimization>
</cfsInfo>